#
# spec file for package geheimni (Version 1.01)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  autoconf automake gettext gpp klibs ksupp libgpp libjpeg libpng libtiff libz qtdevel qtext qtlib xf86
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip kbd klibs ksupp less libgpp libjpeg libpng libtiff libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps qtcompat qtdevel qtext qtlib rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         geheimni
Copyright:    GPL
Group:        X11/KDE/Applications
Summary:      A PGP/GPG wrapper for KDE
Version:      1.01
Release:      243
Source0:      geheimnis-1.01.tgz
Patch0: geheimnis-1.01.dif

%description
Geheimnis is a wrapper for KDE around PGP 2, PGP 5, PGP 6 and GPG 1.0

Authors:
--------
    Chris Wiegand <cwiegand@urgentmail.com>

SuSE series: sec

%prep
%setup -n geheimnis-1.01
%patch -p 0 -E

%build
TEST=`grep ^VERSION /etc/SuSE-release | cut "-d " -f 3`
MAJOR=`echo $TEST | cut -d. -f 1`
MINOR=`echo $TEST | cut -d. -f 2 | sed -e "s@[^0-9]@@g"`
VERSION=$(( ${MAJOR}*100 + ${MINOR} ))
if [ "$VERSION" -gt 702 ]; then
 export QTDIR=/usr/lib/qt
 export KDEDIR=/opt/kde
fi
%{?suse_update_config:%{suse_update_config -f . }}
%ifarch ia64 alpha
CXXFLAGS="$CXXFLAGS -fno-operator-names"
%endif
CXXFLAGS="$CXXFLAGS -DNDEBUG -O2 " ./configure \
  --prefix=/opt/kde \
  --with-qt-dir=$QTDIR \
  --with-qt-includes=$QTDIR/include \
  --with-qt-libraries=$QTDIR/lib
touch ./geheimnis/Makefile.in --reference=./aclocal.m4
touch ./geheimniskeepopen/Makefile.in --reference=./aclocal.m4
touch ./configure --reference=./aclocal.m4
touch ./po/Makefile.in --reference=./aclocal.m4
touch ./icons/Makefile.in --reference=./aclocal.m4
touch ./Makefile.in --reference=./aclocal.m4
touch ./docs/en/Makefile.in --reference=./aclocal.m4
touch ./docs/Makefile.in --reference=./aclocal.m4
make

%install
make install

%files
%doc COPYING AUTHORS ChangeLog INSTALL TODO README 
%docdir /opt/kde/share/doc
%dir /opt/kde/share/apps/geheimnis
%dir /opt/kde/share/doc
%dir /opt/kde/share/doc/HTML
%dir /opt/kde/share/doc/HTML/en
%dir /opt/kde/share/doc/HTML/en/geheimnis
%dir /usr/share/doc/geheimnis
/opt/kde/bin/geheimnis
/opt/kde/bin/geheimniskeepopen
/opt/kde/share/applnk/Applications/geheimnisdocked.kdelnk
/opt/kde/share/applnk/Applications/geheimnis.kdelnk
/opt/kde/share/apps/geheimnis/addName.xpm
/opt/kde/share/apps/geheimnis/disableKey.xpm
/opt/kde/share/apps/geheimnis/docked.xpm
/opt/kde/share/apps/geheimnis/editKey.xpm
/opt/kde/share/apps/geheimnis/exportKey.xpm
/opt/kde/share/apps/geheimnis/geheimniskeepopen
/opt/kde/share/apps/geheimnis/genKeys.xpm
/opt/kde/share/apps/geheimnis/icon_key_bad.xpm
/opt/kde/share/apps/geheimnis/icon_key_pub2.xpm
/opt/kde/share/apps/geheimnis/icon_key_pub.xpm
/opt/kde/share/apps/geheimnis/icon_key_sec_def.xpm
/opt/kde/share/apps/geheimnis/icon_key_sec.xpm
/opt/kde/share/apps/geheimnis/icon_name_bad.xpm
/opt/kde/share/apps/geheimnis/icon_name_pub2.xpm
/opt/kde/share/apps/geheimnis/icon_name_pub.xpm
/opt/kde/share/apps/geheimnis/icon_name_sec.xpm
/opt/kde/share/apps/geheimnis/icon_sig_bad.xpm
/opt/kde/share/apps/geheimnis/icon_sig_pub2.xpm
/opt/kde/share/apps/geheimnis/icon_sig_pub.xpm
/opt/kde/share/apps/geheimnis/icon_sig_sec.xpm
/opt/kde/share/apps/geheimnis/importKey.xpm
/opt/kde/share/apps/geheimnis/keyInfo.xpm
/opt/kde/share/apps/geheimnis/removeKey.xpm
/opt/kde/share/apps/geheimnis/revokeKey.xpm
/opt/kde/share/apps/geheimnis/revokeSig.xpm
/opt/kde/share/apps/geheimnis/signKey.xpm
/opt/kde/share/apps/geheimnis/trust_0.xpm
/opt/kde/share/apps/geheimnis/trust_1.xpm
/opt/kde/share/apps/geheimnis/trust_2.xpm
/opt/kde/share/apps/geheimnis/trust_3.xpm
/opt/kde/share/apps/geheimnis/trust_4.xpm
/opt/kde/share/apps/geheimnis/valid_0.xpm
/opt/kde/share/apps/geheimnis/valid_1.xpm
/opt/kde/share/apps/geheimnis/valid_2.xpm
/opt/kde/share/apps/geheimnis/valid_3.xpm
/opt/kde/share/apps/geheimnis/valid_4.xpm
/opt/kde/share/doc/HTML/en/geheimnis/authors.html
/opt/kde/share/doc/HTML/en/geheimnis/changelog.html
/opt/kde/share/doc/HTML/en/geheimnis/decrypt.html
/opt/kde/share/doc/HTML/en/geheimnis/encrypt.html
/opt/kde/share/doc/HTML/en/geheimnis/index.html
/opt/kde/share/doc/HTML/en/geheimnis/keys.html
/opt/kde/share/doc/HTML/en/geheimnis/license.html
/opt/kde/share/doc/HTML/en/geheimnis/misc.html
/opt/kde/share/doc/HTML/en/geheimnis/whyencrypt.html
/opt/kde/share/icons/application_pgp.xpm
/opt/kde/share/icons/geheimnis_docked.xpm
/opt/kde/share/icons/geheimnis_mini.xpm
/opt/kde/share/icons/geheimnis.xpm
/opt/kde/share/locale/de/LC_MESSAGES/geheimnis.mo
/opt/kde/share/locale/ru/LC_MESSAGES/geheimnis.mo
/opt/kde/share/mimelnk/application/pgp.kdelnk

%changelog -n geheimni
* Fri Aug 24 2001 - ro@suse.de
- added old KDEDIR and QTDIR to build with 7.3 environment
* Fri Aug 10 2001 - ro@suse.de
- autoconf 2.52 fixes
* Mon May 21 2001 - stepan@suse.de
- fixes to compile with newer GCC on ia64 and alpha
* Wed Sep 06 2000 - adrian@suse.de
- fixed old path for doc files
* Wed May 24 2000 - adrian@suse.de
- Added group tag, suse_update_config and new file list
* Wed May 24 2000 - adrian@suse.de
- Spec file created from geheimnis-1.01.tgz by autospec
* Tue May 09 2000 - adrian@suse.de
- update to 1.01
* Fri May 05 2000 - adrian@suse.de
- Spec file created from geheimnis-1.0b1.tar.gz by autospec
